#!/usr/local/env python

"""Test data for the parse module."""

import os
import glob
import hashlib

PARSE_TEST_PATH = os.path.join("tests","parse")


def file_md5(path):
    """Return MD5 hash of contents at path."""

    hasher = hashlib.md5()
    hasher.update("".join(open(path).readlines()))
    return hasher.hexdigest()

XML_GLOB = os.path.join(os.path.dirname(os.path.abspath(__file__)),
                        PARSE_TEST_PATH, "xml", "*", "*.xml")
XML_PATHS = glob.glob(XML_GLOB)
XML_DOC_LENS = dict([(os.path.basename(xml_path),
                      len(open(xml_path).readlines()))
                     for xml_path in XML_PATHS])
XML_DOC_MD5S = dict([(os.path.basename(xml_path),
                      file_md5(xml_path))
                     for xml_path in XML_PATHS])
